hub-init(1)

NAME
hub-init - Initialize a git repository and add a remote pointing to GitHub.

SYNOPSIS

hub init -g

OPTIONS

-g
    After initializing the repository locally, add the "origin" remote pointing to "USER/REPO" repository on GitHub.

    USER is your GitHub username, while REPO is the name of the current working directory.

EXAMPLES

    $ hub init -g
    > git init
    > git remote add origin git@github.com:USER/REPO.git

SEE ALSO

hub-create(1), hub(1), git-init(1)